Delete a folder
curl --request DELETE \
--url https://api.smokeball.com/matters/{matterId}/documents/folders/{folderId} \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/matters/{matterId}/documents/folders/{folderId}"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}
};
fetch('https://api.smokeball.com/matters/{matterId}/documents/folders/{folderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Folders
Delete a folder
Deletes a folder belonging to the specified matter.
An unknown folder id returns 400 rather than 404, because the folder may have been created but not yet processed.
The change is processed asynchronously; the returned Link continues to resolve the folder with isDeleted: true once applied.
DELETE
/
matters
/
{matterId}
/
documents
/
folders
/
{folderId}
Delete a folder
Path Parameters
Unique identifier of the matter.
Unique identifier of the folder.